Package org.h2gis.functions.spatial.buffer

## Class ST_OffSetCurve

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.buffer.ST_OffSetCurve

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_OffSetCurve
    extends org.h2gis.api.DeterministicScalarFunction

Return an offset line at a given distance and side from an input geometry.

Author:
  Erwan Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_OffSetCurve()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `offsetCurve​(org.locationtech.jts.geom.Geometry geometry, double offset)` Return an offset line at a given distance and side from an input geometry without buffer parameters
`static org.locationtech.jts.geom.Geometry` `offsetCurve​(org.locationtech.jts.geom.Geometry geometry, double offset, String parameters)` Return an offset line at a given distance and side from an input geometry

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_OffSetCurve

    public ST_OffSetCurve()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### offsetCurve

    public static org.locationtech.jts.geom.Geometry offsetCurve​(org.locationtech.jts.geom.Geometry geometry,
                                                                 double offset,
                                                                 String parameters)

Return an offset line at a given distance and side from an input geometry

Parameters:
  `geometry` - the geometry
  `offset` - the distance
  `parameters` - the buffer parameters
Returns:
  `Geometry`

#### offsetCurve

    public static org.locationtech.jts.geom.Geometry offsetCurve​(org.locationtech.jts.geom.Geometry geometry,
                                                                 double offset)

Return an offset line at a given distance and side from an input geometry without buffer parameters

Parameters:
  `geometry` - the geometry
  `offset` - the distance
Returns:
  `Geometry`